# Desktop Application Development with PyQt5
1. install cookiecutter
```sh
pip install --user cookiecutter
```

2. create project using cookiecutter
```sh
cookiecutter https://github.com/mandeep/cookiecutter-pyqt5.git
```

3. enter the following information
```txt
full_name [Mandeep]: Benjama EEP
email [info@mandeep.xyz]: benjama.eep@benjama.edu
github_username [mandeep]: benjama.eep
repo_name [cookiecutter-pyqt5]: ubuworkshop
package_name [cookiecutter-pyqt5]: workshopapp
application_name [application]: workshopapp
application_title [Template]: BenApp 
project_short_description [A PyQt5 GUI application]: Desktop Application
version [0.0.1]: <enter>
insert_toolbar [yes]: <enter>
insert_statusbar [yes]: <enter>
```

4. build and install
```sh
cd workshopapp/
python3 setup.py install --user
```

5. run
```sh
BenApp
```

