from setuptools import setup

requirements = [
    # TODO: put your package requirements here
]

test_requirements = [
    'pytest',
    'pytest-cov',
    'pytest-faulthandler',
    'pytest-mock',
    'pytest-qt',
    'pytest-xvfb',
]

setup(
    name='ubuworkshop',
    version='0.0.1',
    description="Desktop Application",
    author="Benjama EEP",
    author_email='benjama.eep@benjama.edu',
    url='https://github.com/benjama.eep/ubuworkshop',
    packages=['workshopapp', 'workshopapp.images',
              'workshopapp.tests'],
    package_data={'workshopapp.images': ['*.png']},
    entry_points={
        'console_scripts': [
            'BenApp=workshopapp.workshopapp:main'
        ]
    },
    install_requires=requirements,
    zip_safe=False,
    keywords='ubuworkshop',
    classifiers=[
        'Programming Language :: Python :: 3.3',
        'Programming Language :: Python :: 3.4',
        'Programming Language :: Python :: 3.5',
    ],
    test_suite='tests',
    tests_require=test_requirements
)
